Create ticket
POST
/tickets
const url = 'https://api.muninx.com/tickets';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"priority":"low","title":"example","body":"example","participants":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.muninx.com/tickets \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "priority": "low", "title": "example", "body": "example", "participants": [ "example" ] }'Creates a ticket and immediately adds the initial message. Participants must be valid email addresses. Values are trimmed, lowercased, and deduplicated case-insensitively.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
priority
required
string
title
required
string
body
required
string
participants
Valid email addresses that should be subscribed to the ticket. Values are trimmed, lowercased, and deduplicated case-insensitively.
Array<string>
Responses
Section titled “ Responses ”Created ticket reference
Media type application/json
object
id
required
string
Example generated
{ "id": "example"}